<mat-card>
  <mat-card-title>Incluir Membro</mat-card-title>
  <mat-card-content>
    <div class="container-fluid">
      <form
        (ngSubmit)="membroForm.form.valid && onSubmit()"
        #membroForm="ngForm"
      >
        <div class="form-row">
          <div class="form-group col-md-2">
            <mat-form-field>
              <input
                matInput
                placeholder="Número"
                id="numero"
                [(ngModel)]="membro.membroId"
                name="numero"
                #numero="ngModel"
                readonly="true"
              />
            </mat-form-field>
          </div>
          <div class="form-group col-md-5">
            <mat-form-field>
              <input
                matInput
                placeholder="Nome"
                id="nome"
                [(ngModel)]="membro.nome"
                name="nome"
                #nome="ngModel"
                required
              />
              <mat-error *ngIf="nome.invalid || nome.pristine"
                >O Nome é obrigatório!</mat-error
              >
            </mat-form-field>
          </div>

          <div class="form-group col-md-5">
            <mat-form-field>
              <input
                matInput
                placeholder="E-mail"
                id="email"
                [(ngModel)]="membro.email"
                name="email"
                #email="ngModel"
                required
              />
              <mat-error *ngIf="email.invalid || email.pristine"
                >O E-mail é obrigatório!</mat-error
              >
            </mat-form-field>
          </div>
        </div>

        <div class="form-row">
          <div class="form-group col-md-2">
            <mat-form-field>
              <input
                matInput
                ngxPhoneMaskBr
                placeholder="Telefone"
                id="telefone"
                required
                [(ngModel)]="membro.telefone"
                name="telefone"
                #telefone="ngModel"
              />
              <mat-error *ngIf="telefone.invalid || telefone.pristine"
                >O Telefone é obrigatório!</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-group col-md-2">
            <mat-form-field>
              <mat-select
                id="situacaoMembro"
                placeholder="Situação Membro"
                required
                [(ngModel)]="membro.situacaoMembro"
                name="situacaoMembro"
                #situacaoMembro="ngModel"
              >
                <mat-option>Selecione</mat-option>
                <mat-option
                  *ngFor="let situacaoMembro of situacaoMembros"
                  [value]="situacaoMembro"
                  >{{ situacaoMembro }}</mat-option
                >
              </mat-select>
              <mat-error
                *ngIf="situacaoMembro.invalid || situacaoMembro.pristine"
                >A Situação Membro é obrigatória!</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-group col-md-2">
            <mat-form-field>
              <input
                matInput
                placeholder="Data Nascimento"
                id="dataNascimento"
                mask="d0/M0/0000"
                [showMaskTyped]="true"
                required
                [(ngModel)]="membro.dataNascimento"
                name="dataNascimento"
                #dataNascimento="ngModel"
              />
              <mat-error
                *ngIf="dataNascimento.invalid || dataNascimento.pristine"
                >A Data Nascimento é obrigatória!</mat-error
              >
            </mat-form-field>
          </div>

          <div class="form-group col-md-2">
            <mat-form-field>
              <mat-select
                id="tipoMembro"
                placeholder="Tipo Membro"
                required
                [(ngModel)]="membro.tipoMembro"
                name="tipoMembro"
                #tipoMembro="ngModel"
              >
                <mat-option>Selecione</mat-option>
                <mat-option
                  *ngFor="let tipoMembro of tipoMembros"
                  [value]="tipoMembro"
                  >{{ tipoMembro }}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="tipoMembro.invalid || tipoMembro.pristine"
                >O Tipo Membro é obrigatório!</mat-error
              >
            </mat-form-field>
          </div>

          <div class="form-group col-md-2">
            <mat-form-field>
              <mat-select
                id="perfil"
                placeholder="Perfil"
                required
                [(ngModel)]="membro.perfil"
                name="perfil"
                #perfil="ngModel"
              >
                <mat-option>Selecione</mat-option>
                <mat-option *ngFor="let perfil of perfis" [value]="perfil"
                  >{{ perfil }}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="perfil.invalid || perfil.pristine"
                >O Perfil é obrigatório!</mat-error
              >
            </mat-form-field>
          </div>
          <div class="form-group col-md-2">
            <mat-form-field>
              <input
                matInput
                type="password"
                placeholder="Senha"
                id="senha"
                [(ngModel)]="membro.senha"
                name="senha"
                #senha="ngModel"
                required
              />
              <mat-error *ngIf="senha.invalid || senha.pristine"
                >A Senha é obrigatória!</mat-error
              >
            </mat-form-field>
          </div>
        </div>

        <div class="form-row">
          <div class="form-group">
            <mat-card-actions>
              <button type="submit" class="btn btn-primary">Salvar</button>
              <button class="btn btn-light" (click)="voltarConsulta()">
                voltar
              </button>
            </mat-card-actions>
          </div>
        </div>
      </form>
    </div>
  </mat-card-content>
</mat-card>
